### Constructor

# GimpUi Dialog new

#### Declaration [src]

    GtkWidget*
    gimp_dialog_new (
      const gchar* title,
      const gchar* role,
      GtkWidget* parent,
      GtkDialogFlags flags,
      GimpHelpFunc help_func,
      const gchar* help_id,
      ...
    )

#### Description [src]

Creates a new `GimpDialog` widget.

This function simply packs the action_area arguments passed in “…” into a `va_list` variable and passes everything to gimp_dialog_new_valist().

For a description of the format of the `va_list` describing the action_area buttons see gtk_dialog_new_with_buttons().

This constructor is not directly available to language bindings.

#### Parameters

`title`

  Type: `const gchar*`

  The dialog’s title which will be set with gtk_window_set_title().

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`role`

  Type: `const gchar*`

  The dialog’s `role` which will be set with gtk_window_set_role().

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`parent`

  Type: `GtkWidget`

  The `parent` widget of this dialog.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`flags`

  Type: `GtkDialogFlags`

  The `flags` (see the `GtkDialog` documentation).

`help_func`

  Type: `GimpHelpFunc`

  The function which will be called if the user presses “F1”.

`help_id`

  Type: `const gchar*`

  The help_id which will be passed to `help_func`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  A `NULL`-terminated `va_list` destribing the action_area buttons.

#### Return value

Type: `GtkWidget`

A `GimpDialog`.

The data is owned by the called function.